---
title: "emacs"
---

Website: https://www.gnu.org/software/emacs/

Best for: code editing in the terminal

Strengths:

- Infinitely customizable
- Best in class plugins and extensions (many ideas start in emacs, and disseminate outwards)
- [org mode](https://orgmode.org/)
- Great git integration ([`magit`](https://magit.vc/))
- built-in email client

So powerful it is almost comparable to an operating system, emacs is an extremely powerful text editor that
can be customized in code.
